
static Eina_Error
__eolian_efl_text_markup_markup_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   const char *cval;
   if (!eina_value_string_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_text_markup_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_text_markup_set, EFL_FUNC_CALL(markup), const char *markup);

static Eina_Value
__eolian_efl_text_markup_markup_get_reflect(const Eo *obj)
{
   const char *val = efl_text_markup_get(obj);
   return eina_value_string_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_text_markup_get, const char *, NULL);

static Eina_Bool
_efl_text_markup_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_TEXT_MARKUP_EXTRA_OPS
#define EFL_TEXT_MARKUP_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_text_markup_set, NULL),
      EFL_OBJECT_OP_FUNC(efl_text_markup_get, NULL),
      EFL_TEXT_MARKUP_EXTRA_OPS
   );
   opsp = &ops;

   static const Efl_Object_Property_Reflection refl_table[] = {
      {"markup", __eolian_efl_text_markup_markup_set_reflect, __eolian_efl_text_markup_markup_get_reflect},
   };
   static const Efl_Object_Property_Reflection_Ops rops = {
      refl_table, EINA_C_ARRAY_LENGTH(refl_table)
   };
   ropsp = &rops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_text_markup_class_desc = {
   EO_VERSION,
   "Efl.Text_Markup",
   EFL_CLASS_TYPE_INTERFACE,
   0,
   _efl_text_markup_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_text_markup_interface_get, &_efl_text_markup_class_desc, NULL, NULL);
